MCP Reference: cloudsupport.googleapis.com

Manages Google Cloud technical support cases, comments, and attachments for Customer Care support offerings.

Note: Currently, MCP tools only support resources parented under a Google Cloud project (for example, projects/{project}/cases/{case}). Resources parented under an organization (for example, organizations/{organization}/cases/{case}) are not supported at this time.

Note: The MCP tools are only available to Premium Support Customers.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

Server Setup

You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.

Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Google Cloud Support API MCP server has the following global MCP endpoint:

  • https://cloudsupport.googleapis.com/mcp

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The cloudsupport.googleapis.com MCP server has the following tools:

MCP Tools
get_attachment Retrieve the specified Attachment. Use this tool to fetch a single attachment by its full resource name. The attachment name must be provided in the format: projects/{project}/cases/{case}/attachments/{attachment}.
list_attachments Retrieve all Attachments associated with the Case object. Use this tool to retrieve the history of attachments for a specific case. The parent case must be provided in the format: projects/{project}/cases/{case}.
get_case Retrieve a specific Google Cloud support case. The case name must be provided in the format: projects/{project}/cases/{case}
search_cases Search for cases using a query. Note: The parent (project) parameter is mandatory for this tool. To search across displayName, description, and comments, use a global restriction with no keyword or operator (e.g., "my search"). To search cases updated after a certain date, use updateTime with ISO datetime format (e.g., updateTime>"2020-01-01T00:00:00-05:00"). If you provide an empty query, all cases under the parent resource will be returned.
get_comment Retrieve the specified Comment. Use this tool to fetch a single comment by its full resource name. The comment name must be provided in the format: projects/{project}/cases/{case}/comments/{comment}.
list_comments Retrieve all Comments associated with the Case object. Use this tool to retrieve the history of comments for a specific case. The parent case must be provided in the format: projects/{project}/cases/{case}.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
                      
curl --location 'https://cloudsupport.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'